View Issue Details

This bug affects 1 person(s).
 0
IDProjectCategoryView StatusLast Update
16767Bug reportsUser / Groups / Rolespublic2020-11-18 09:42
ReporterDenisChenu Assigned Tocdorin  
PrioritynoneSeverityminor 
Status closedResolutionduplicate 
Target Version3.22.13 
Summary16767: User without right can see and update group name and description
Descriptionsurveysgroups are not restricted
Steps To ReproduceAs superadmin
- Create a SureyGroup
- Create an user with only log in right
- Go on Survey group edition anc copy the link
- Log out

Connect as the new user without right
- Paste the link
- Login
- Check
Additional Information@cdorin : maybe for 3.X : leave read access but add Permission check for update access ?

Complete fix are in feature https://bugs.limesurvey.org/view.php?id=16440
TagsNo tags attached.
Bug heat0
Complete LimeSurvey version number (& build)3.24.2
I will donate to the project if issue is resolvedNo
Browsernot relevant ?
Database type & versionnot relevant?
Server OS (if known)not relevant ?
Webserver software & version (if known)not relevant ?
PHP Versionnot relevant

Relationships

related to 16440 testingcdorin Feature requests Survey group Permission : minimal system 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-10-21 08:06 DenisChenu New Issue
2020-10-21 08:06 DenisChenu Status new => assigned
2020-10-21 08:06 DenisChenu Assigned To => cdorin
2020-10-21 08:06 DenisChenu File Added: Peek 21-10-2020 08-05.gif
2020-10-21 08:07 DenisChenu Relationship added related to 16440
2020-11-12 07:56 DenisChenu File Deleted: Peek 21-10-2020 08-05.gif
2020-11-18 09:42 DenisChenu Status assigned => closed
2020-11-18 09:42 DenisChenu Resolution open => duplicate